

#    MIDAS Access Client  for the  Time service

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global TimeServerHost TimeServerPort
global SOAPServerHost SOAPServerPort

if {[info exists SOAPServerHost] == 0} then {set SOAPServerHost localhost}
if {[info exists SOAPServerPort] == 0} then {set SOAPServerPort 8015}

if {[info exists TimeServerHost] == 0} then {set TimeServerHost $SOAPServerHost}
if {[info exists TimeServerPort] == 0} then {set TimeServerPort $SOAPServerPort}

variable uri "urn:TimeServer"
variable proxy "http://$TimeServerHost:$TimeServerPort/TimeServer"


SOAP::create TimeClient__GetTime -proxy $proxy -uri $uri  \
     -name GetTime \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request 

package provide TimeClient 1.0
